apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.26.0 (40646f47)
  creationTimestamp: null
  labels:
    io.kompose.service: mealiev1
  name: mealiev1
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: mealiev1
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.26.0 (40646f47)
      creationTimestamp: null
      labels:
        io.kompose.service: mealiev1
    spec:
      containers:
        - name: mealiev1
          image: hkotel/mealie:latest
          env:
          - name: DB_ENGINE
            value: "sqlite"
          - name: POSTGRES_USER
            value: "mealie"
          - name: POSTGRES_PASSWORD
            value: "mealie"
          - name: POSTGRES_SERVER
            value: "postgres"
          - name: POSTGRES_PORT
            value: "5432"
          - name: POSTGRES_DB
            value: "mealie"
          - name: WEB_GUNICORN
            value: "false"
          - name: WORKERS_PER_CORE
            value: "1"
          - name: MAX_WORKERS
            value: "1"
          - name: WEB_CONCURRENCY
            value: "1"
          - name: TZ
            value: Europe/Madrid
          ports:
            - containerPort: 80
          resources: {}
          volumeMounts:
            - mountPath: /app/data
              name: mealiev1-claim0
      restartPolicy: Always
      volumes:
        - name: mealiev1-claim0
          persistentVolumeClaim:
            claimName: mealiev1-claim0
status: {}
